Description

History

#1-01/16/2014 11:08 AM - Lauren Walker

If the compression is not enough to decrease load time, move the abstract to a separate AJAX call after the rest of the information for the result list is
retrieved.

#2 - 01/16/2014 11:10 AM - ben leinfelder

In the Apache config (mn-demo-8), | just tried adding:
AddOutputFilterByType DEFLATE text/json
and saw a reduction by a factor of about 4-5.

We can try it on KNB soon.

#3 - 01/16/2014 11:11 AM - ben leinfelder
More information here: http://httpd.apache.org/docs/2.2/mod/mod_deflate.html

#4 - 01/16/2014 01:54 PM - Lauren Walker
It seems like the server takes about 1 - 1.2 seconds per query to send results to the client, no matter the query result size. Receiving on connections
1.5mb+ take less than 500ms to receive.

NOTES:
- Removing faceting reduces time by at least half
- Adding the query to the filter query (fq) parameter will allow us to take advantage of the filter cache

#5-01/17/2014 09:15 AM - Lauren Walker

- Status changed from New to Resolved

| added filter queries so that we can start caching commonly used filters in Solr.

| also moved the faceted query to the end of our page load processes - so that now the regular query is sent and retrieved, results are added to the
list and map, and then we send the faceted query and build the autocomplete dropdowns "in the background". There will be at least a 1 second delay

between the page load and the autocomplete availability - but | don't foresee that being a huge issue since it takes about 1 second to click in the text
input and start typing anyway.
